# Makefile.in generated by automake 1.11.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@ASIO_TRUE@am__append_1 = asio
@PORTAUDIO_TRUE@am__append_2 = portaudio
@PORTMIDI_TRUE@am__append_3 = portmidi
@MSGFMT_TRUE@am__append_4 = locales
subdir = .
DIST_COMMON = $(am__configure_deps) $(nobase_dist_libpd_DATA) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in $(srcdir)/pd.pc.in \
	$(top_srcdir)/configure m4/config/config.guess \
	m4/config/config.sub m4/config/depcomp m4/config/install-sh \
	m4/config/ltmain.sh m4/config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/android.m4 \
	$(top_srcdir)/m4/iphone.m4 $(top_srcdir)/m4/universal.m4 \
	$(top_srcdir)/m4/generated/libtool.m4 \
	$(top_srcdir)/m4/generated/ltoptions.m4 \
	$(top_srcdir)/m4/generated/ltsugar.m4 \
	$(top_srcdir)/m4/generated/ltversion.m4 \
	$(top_srcdir)/m4/generated/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = pd.pc
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libpddir)" "$(DESTDIR)$(pkgconfigdir)"
DATA = $(nobase_dist_libpd_DATA) $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
ALSA_LIBS = @ALSA_LIBS@
AMTAR = @AMTAR@
AR = @AR@
ARCH_CFLAGS = @ARCH_CFLAGS@
ARCH_LDFLAGS = @ARCH_LDFLAGS@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@ @DEFS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTERNAL_CFLAGS = @EXTERNAL_CFLAGS@
EXTERNAL_EXTENSION = @EXTERNAL_EXTENSION@
EXTERNAL_LDFLAGS = @EXTERNAL_LDFLAGS@
EXTERNTARGET = @EXTERNTARGET@
FGREP = @FGREP@
GREP = @GREP@
HAVE_MSGFMT = @HAVE_MSGFMT@
INCLUDES = @INCLUDES@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JACK_LIBS = @JACK_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBM = @LIBM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = foreign
ACLOCAL_AMFLAGS = -I m4/generated -I m4
EXTRA_SUBDIRS = $(am__append_1) $(am__append_2) $(am__append_3)

# pkg-config support
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = pd.pc

# files that are included but not built
EXTRA_DIST = LICENSE.txt README.txt INSTALL.txt

# subdirs that are built
SUBDIRS = $(EXTRA_SUBDIRS) src man tcl po extra

# subdirs that are always included in the dist, etc.
DIST_SUBDIRS = asio extra man po portaudio portmidi src tcl
BUILT_SOURCES = $(am__append_4)
@LINUX_FALSE@libpddir = $(prefix)
@LINUX_TRUE@libpddir = $(pkglibdir)

# this is at the end because its loooong
# these files go into libpddir defined above
nobase_dist_libpd_DATA = \
	doc/1.manual/1.introduction.txt \
	doc/1.manual/fig1.1.png \
	doc/1.manual/fig1.2.jpg \
	doc/1.manual/fig1.3.jpg \
	doc/1.manual/fig1.4.png \
	doc/1.manual/fig1.5.jpg \
	doc/1.manual/fig11.1.png \
	doc/1.manual/fig11.2.png \
	doc/1.manual/fig11.3.png \
	doc/1.manual/fig11.4.png \
	doc/1.manual/fig3.1.jpg \
	doc/1.manual/fig3.10.jpg \
	doc/1.manual/fig3.2.jpg \
	doc/1.manual/fig3.3.jpg \
	doc/1.manual/fig3.4.jpg \
	doc/1.manual/fig3.5.jpg \
	doc/1.manual/fig3.6.jpg \
	doc/1.manual/fig3.7.jpg \
	doc/1.manual/fig3.8.jpg \
	doc/1.manual/fig3.9.jpg \
	doc/1.manual/fig7.1.jpg \
	doc/1.manual/fig7.2.jpg \
	doc/1.manual/fig7.3.jpg \
	doc/1.manual/fig7.4.jpg \
	doc/1.manual/fig7.5.jpg \
	doc/1.manual/fig7.6.jpg \
	doc/1.manual/fig8.1.jpg \
	doc/1.manual/fig8.2.jpg \
	doc/1.manual/fig8.3.jpg \
	doc/1.manual/fig8.4.jpg \
	doc/1.manual/fig8.5.jpg \
	doc/1.manual/fig8.6.jpg \
	doc/1.manual/fig9.1.jpg \
	doc/1.manual/fig9.2.jpg \
	doc/1.manual/fig9.3.jpg \
	doc/1.manual/index.htm \
	doc/1.manual/pdmanual.css \
	doc/1.manual/x1.htm \
	doc/1.manual/x2.htm \
	doc/1.manual/x3.htm \
	doc/1.manual/x4.htm \
	doc/1.manual/x5.htm \
	doc/2.control.examples/00.INTRO.txt \
	doc/2.control.examples/01.PART1.hello.pd \
	doc/2.control.examples/02.editing.pd \
	doc/2.control.examples/03.connections.pd \
	doc/2.control.examples/04.messages.pd \
	doc/2.control.examples/05.counter.pd \
	doc/2.control.examples/06.more.counters.pd \
	doc/2.control.examples/07.time.pd \
	doc/2.control.examples/08.depthfirst.pd \
	doc/2.control.examples/09.send_receive.pd \
	doc/2.control.examples/10.more.messages.pd \
	doc/2.control.examples/11.review.pd \
	doc/2.control.examples/12.PART2.subpatch.pd \
	doc/2.control.examples/13.locality.pd \
	doc/2.control.examples/14.dollarsigns.pd \
	doc/2.control.examples/15.array.pd \
	doc/2.control.examples/15.file.txt \
	doc/2.control.examples/16.more.arrays.pd \
	doc/2.control.examples/17.PART3.midi.pd \
	doc/2.control.examples/18.conditional.pd \
	doc/2.control.examples/19.random.pd \
	doc/2.control.examples/20.weighted-random.pd \
	doc/2.control.examples/21.markov.chain.pd \
	doc/2.control.examples/22.random-walk.pd \
	doc/2.control.examples/23.sequencing.pd \
	doc/2.control.examples/24.loops.pd \
	doc/2.control.examples/dollarsign.pd \
	doc/2.control.examples/dollarsign2.pd \
	doc/2.control.examples/sendnumber.pd \
	doc/3.audio.examples/A00.intro.pd \
	doc/3.audio.examples/A00.intro.txt \
	doc/3.audio.examples/A01.sinewave.pd \
	doc/3.audio.examples/A02.amplitude.pd \
	doc/3.audio.examples/A03.line.pd \
	doc/3.audio.examples/A04.line2.pd \
	doc/3.audio.examples/A05.output.subpatch.pd \
	doc/3.audio.examples/A06.frequency.pd \
	doc/3.audio.examples/A07.fusion.pd \
	doc/3.audio.examples/A08.beating.pd \
	doc/3.audio.examples/A09.frequency.mod.pd \
	doc/3.audio.examples/A10.review.pd \
	doc/3.audio.examples/adsr.pd \
	doc/3.audio.examples/B01.wavetables.pd \
	doc/3.audio.examples/B02.two-wavetables.pd \
	doc/3.audio.examples/B03.tabread4.pd \
	doc/3.audio.examples/B04.tabread4.interpolation.pd \
	doc/3.audio.examples/B05.tabread.FM.pd \
	doc/3.audio.examples/B06.table.switching.pd \
	doc/3.audio.examples/B07.sampler.pd \
	doc/3.audio.examples/B08.sampler.loop.pd \
	doc/3.audio.examples/B09.sampler.loop.smooth.pd \
	doc/3.audio.examples/B10.sampler.scratch.pd \
	doc/3.audio.examples/B11.sampler.nodoppler.pd \
	doc/3.audio.examples/B12.sampler.transpose.pd \
	doc/3.audio.examples/B13.sampler.overlap.pd \
	doc/3.audio.examples/B14.sampler.rockafella.pd \
	doc/3.audio.examples/B15.tabread4~-onset.pd \
	doc/3.audio.examples/B16.long-varispeed.pd \
	doc/3.audio.examples/buttercoef3.pd \
	doc/3.audio.examples/butterworth3~.pd \
	doc/3.audio.examples/C01.nyquist.pd \
	doc/3.audio.examples/C02.sawtooth-foldover.pd \
	doc/3.audio.examples/C03.zipper.noise.pd \
	doc/3.audio.examples/C04.control.to.signal.pd \
	doc/3.audio.examples/C05.sampler.oneshot.pd \
	doc/3.audio.examples/C06.signal.to.control.pd \
	doc/3.audio.examples/C07.envelope.follower.pd \
	doc/3.audio.examples/C08.analog.sequencer.pd \
	doc/3.audio.examples/C09.sample.hold.pd \
	doc/3.audio.examples/C10.monophonic.synth.pd \
	doc/3.audio.examples/D01.envelope.gen.pd \
	doc/3.audio.examples/D02.adsr.pd \
	doc/3.audio.examples/D03.envelope.dB.pd \
	doc/3.audio.examples/D04.envelope.quartic.pd \
	doc/3.audio.examples/D05.envelope.pitch.pd \
	doc/3.audio.examples/D06.envelope.portamento.pd \
	doc/3.audio.examples/D07.additive.pd \
	doc/3.audio.examples/D08.table.spectrum.pd \
	doc/3.audio.examples/D09.shepard.tone.pd \
	doc/3.audio.examples/D10.sampler.notes.pd \
	doc/3.audio.examples/D11.sampler.poly.pd \
	doc/3.audio.examples/D12.sampler.bis.pd \
	doc/3.audio.examples/D13.additive.qlist.pd \
	doc/3.audio.examples/D14.vibrato.pd \
	doc/3.audio.examples/E01.spectrum.pd \
	doc/3.audio.examples/E02.ring.modulation.pd \
	doc/3.audio.examples/E03.octave.divider.pd \
	doc/3.audio.examples/E04.difference.tone.pd \
	doc/3.audio.examples/E05.chebychev.pd \
	doc/3.audio.examples/E06.exponential.pd \
	doc/3.audio.examples/E07.evenodd.pd \
	doc/3.audio.examples/E08.phase.mod.pd \
	doc/3.audio.examples/E09.FM.spectrum.pd \
	doc/3.audio.examples/E10.complex.FM.pd \
	doc/3.audio.examples/F01.pulse.pd \
	doc/3.audio.examples/F02.just.say.pd \
	doc/3.audio.examples/F03.pulse.spectrum.pd \
	doc/3.audio.examples/F04.waveshaping.pulse.pd \
	doc/3.audio.examples/F05.ring.modulation.pd \
	doc/3.audio.examples/F06.packets.pd \
	doc/3.audio.examples/F07.packet.spectrum.pd \
	doc/3.audio.examples/F08.two.cosines.pd \
	doc/3.audio.examples/F09.declickit.pd \
	doc/3.audio.examples/F10.sweepable.FM.pd \
	doc/3.audio.examples/F11.anharmonic.FM.pd \
	doc/3.audio.examples/F12.paf.pd \
	doc/3.audio.examples/F13.paf.control.pd \
	doc/3.audio.examples/F14.wave.packet.pd \
	doc/3.audio.examples/filter-graph1.pd \
	doc/3.audio.examples/filter-graph2.pd \
	doc/3.audio.examples/G01.delay.pd \
	doc/3.audio.examples/G02.delay.loop.pd \
	doc/3.audio.examples/G03.delay.variable.pd \
	doc/3.audio.examples/G04.control.blocksize.pd \
	doc/3.audio.examples/G05.execution.order.pd \
	doc/3.audio.examples/G06.octave.doubler.pd \
	doc/3.audio.examples/G07.shaker.pd \
	doc/3.audio.examples/G08.reverb.pd \
	doc/3.audio.examples/G09.pitchshift.pd \
	doc/3.audio.examples/H01.low-pass.pd \
	doc/3.audio.examples/H02.high-pass.pd \
	doc/3.audio.examples/H03.band-pass.pd \
	doc/3.audio.examples/H04.filter.sweep.pd \
	doc/3.audio.examples/H05.filter.floyd.pd \
	doc/3.audio.examples/H06.envelope.follower.pd \
	doc/3.audio.examples/H07.measure.spectrum.pd \
	doc/3.audio.examples/H08.heterodyning.pd \
	doc/3.audio.examples/H09.ssb.modulation.pd \
	doc/3.audio.examples/H10.measurement.pd \
	doc/3.audio.examples/H11.shelving.pd \
	doc/3.audio.examples/H12.peaking.pd \
	doc/3.audio.examples/H13.butterworth.pd \
	doc/3.audio.examples/H14.all.pass.pd \
	doc/3.audio.examples/H15.phaser.pd \
	doc/3.audio.examples/H16.adsr.filter.qlist.pd \
	doc/3.audio.examples/I01.Fourier.analysis.pd \
	doc/3.audio.examples/I02.Hann.window.pd \
	doc/3.audio.examples/I03.resynthesis.pd \
	doc/3.audio.examples/I04.noisegate.pd \
	doc/3.audio.examples/I05.compressor.pd \
	doc/3.audio.examples/I06.timbre.stamp.pd \
	doc/3.audio.examples/I07.phase.vocoder.pd \
	doc/3.audio.examples/I08.pvoc.reverb.pd \
	doc/3.audio.examples/I09.sheep.from.goats.pd \
	doc/3.audio.examples/I10.phase.bash.pd \
	doc/3.audio.examples/J01.even.odd.pd \
	doc/3.audio.examples/J02.trapezoids.pd \
	doc/3.audio.examples/J03.pulse.width.mod.pd \
	doc/3.audio.examples/J04.corners.pd \
	doc/3.audio.examples/J05.triangle.pd \
	doc/3.audio.examples/J06.enveloping.pd \
	doc/3.audio.examples/J07.oversampling.pd \
	doc/3.audio.examples/J08.classicsynth.pd \
	doc/3.audio.examples/J09.bandlimited.pd \
	doc/3.audio.examples/osc-voice.pd \
	doc/3.audio.examples/output~.pd \
	doc/3.audio.examples/partial.pd \
	doc/3.audio.examples/qlist-sampler.txt \
	doc/3.audio.examples/qlist.txt \
	doc/3.audio.examples/qlist2.txt \
	doc/3.audio.examples/reverb-echo.pd \
	doc/3.audio.examples/sampvoice.pd \
	doc/3.audio.examples/sampvoice2.pd \
	doc/3.audio.examples/shepvoice.pd \
	doc/3.audio.examples/sinevoice.pd \
	doc/3.audio.examples/spectrum-partial.pd \
	doc/4.data.structures/00.intro.txt \
	doc/4.data.structures/01.scalars.pd \
	doc/4.data.structures/02.getting.data.pd \
	doc/4.data.structures/03.setting.data.pd \
	doc/4.data.structures/04.append.pd \
	doc/4.data.structures/05.array.pd \
	doc/4.data.structures/06.file.pd \
	doc/4.data.structures/07.sequencer.pd \
	doc/4.data.structures/08.selection.pd \
	doc/4.data.structures/09.scaling.pd \
	doc/4.data.structures/10.onoff.pd \
	doc/4.data.structures/11.array.controls.pd \
	doc/4.data.structures/12.beat-patterns.pd \
	doc/4.data.structures/13.sliderule.pd \
	doc/4.data.structures/14.partialtracer.pd \
	doc/4.data.structures/add-trace.pd \
	doc/4.data.structures/beat-maker.pd \
	doc/4.data.structures/data-array.pd \
	doc/4.data.structures/data-start.pd \
	doc/4.data.structures/file.txt \
	doc/4.data.structures/osc-voice.pd \
	doc/4.data.structures/output~.pd \
	doc/4.data.structures/voice.pd \
	doc/4.data.structures/z.txt \
	doc/5.reference/0_all_guis-INTRO.txt \
	doc/5.reference/abs~-help.pd \
	doc/5.reference/acoustics-help.pd \
	doc/5.reference/acoustics~-help.pd \
	doc/5.reference/adc~_dac~-help.pd \
	doc/5.reference/append-help.pd \
	doc/5.reference/bag-help.pd \
	doc/5.reference/bang-help.pd \
	doc/5.reference/bang~-help.pd \
	doc/5.reference/biquad~-help.pd \
	doc/5.reference/block~-help.pd \
	doc/5.reference/bng-help.pd \
	doc/5.reference/bp~-help.pd \
	doc/5.reference/canvas-help.pd \
	doc/5.reference/change-help.pd \
	doc/5.reference/clip~-help.pd \
	doc/5.reference/cos~-help.pd \
	doc/5.reference/cpole~-help.pd \
	doc/5.reference/cputime-help.pd \
	doc/5.reference/czero_rev~-help.pd \
	doc/5.reference/czero~-help.pd \
	doc/5.reference/declare-help.pd \
	doc/5.reference/delay-help.pd \
	doc/5.reference/delread~-help.pd \
	doc/5.reference/delwrite~-help.pd \
	doc/5.reference/drawnumber-help.pd \
	doc/5.reference/drawpolygon-help.pd \
	doc/5.reference/element-help.pd \
	doc/5.reference/env~-help.pd \
	doc/5.reference/exp~-help.pd \
	doc/5.reference/fft~-help.pd \
	doc/5.reference/float-help.pd \
	doc/5.reference/framp~-help.pd \
	doc/5.reference/gatom-help.pd \
	doc/5.reference/get-help.pd \
	doc/5.reference/getsize-help.pd \
	doc/5.reference/graph-help.pd \
	doc/5.reference/hdial-help.pd \
	doc/5.reference/help-intro.pd \
	doc/5.reference/hip~-help.pd \
	doc/5.reference/hslider-help.pd \
	doc/5.reference/int-help.pd \
	doc/5.reference/key-help.pd \
	doc/5.reference/line-help.pd \
	doc/5.reference/line~-help.pd \
	doc/5.reference/list-help.pd \
	doc/5.reference/log~-help.pd \
	doc/5.reference/lop~-help.pd \
	doc/5.reference/makefilename-help.pd \
	doc/5.reference/makenote-help.pd \
	doc/5.reference/math-help.pd \
	doc/5.reference/message-help.pd \
	doc/5.reference/metro.pd \
	doc/5.reference/midi-help.pd \
	doc/5.reference/moses-help.pd \
	doc/5.reference/my_canvas-help.pd \
	doc/5.reference/namecanvas-help.pd \
	doc/5.reference/netreceive-help.pd \
	doc/5.reference/netsend-help.pd \
	doc/5.reference/noise~-help.pd \
	doc/5.reference/numbox2-help.pd \
	doc/5.reference/openpanel-help.pd \
	doc/5.reference/operators-help.pd \
	doc/5.reference/osc~-help.pd \
	doc/5.reference/otherbinops-help.pd \
	doc/5.reference/pack-help.pd \
	doc/5.reference/pd-help.pd \
	doc/5.reference/phasor~-help.pd \
	doc/5.reference/pipe-help.pd \
	doc/5.reference/plot-help.pd \
	doc/5.reference/pointer-help.pd \
	doc/5.reference/poly-help.pd \
	doc/5.reference/pow~-help.pd \
	doc/5.reference/print-help.pd \
	doc/5.reference/print~-help.pd \
	doc/5.reference/qlist-help.pd \
	doc/5.reference/qlist.txt \
	doc/5.reference/random-help.pd \
	doc/5.reference/readsf~-help.pd \
	doc/5.reference/realtime-help.pd \
	doc/5.reference/receive-help.pd \
	doc/5.reference/route-help.pd \
	doc/5.reference/rpole~-help.pd \
	doc/5.reference/rsqrt~-help.pd \
	doc/5.reference/rzero_rev~-help.pd \
	doc/5.reference/rzero~-help.pd \
	doc/5.reference/samphold~-help.pd \
	doc/5.reference/savepanel-help.pd \
	doc/5.reference/select-help.pd \
	doc/5.reference/send-help.pd \
	doc/5.reference/send~-help.pd \
	doc/5.reference/set-help.pd \
	doc/5.reference/setsize-help.pd \
	doc/5.reference/setsize.txt \
	doc/5.reference/sigbinops-help.pd \
	doc/5.reference/sig~-help.pd \
	doc/5.reference/snapshot~-help.pd \
	doc/5.reference/soundfiler-help.pd \
	doc/5.reference/spigot-help.pd \
	doc/5.reference/sqrt~-help.pd \
	doc/5.reference/stripnote-help.pd \
	doc/5.reference/struct-help.pd \
	doc/5.reference/sublist-help.pd \
	doc/5.reference/swap-help.pd \
	doc/5.reference/switch~-help.pd \
	doc/5.reference/table.txt \
	doc/5.reference/tabosc4~-help.pd \
	doc/5.reference/tabplay~-help.pd \
	doc/5.reference/tabread-help.pd \
	doc/5.reference/tabread4~-help.pd \
	doc/5.reference/tabreceive~-help.pd \
	doc/5.reference/tabsend~-help.pd \
	doc/5.reference/tabwrite-help.pd \
	doc/5.reference/tabwrite~-help.pd \
	doc/5.reference/text-help.pd \
	doc/5.reference/textfile-help.pd \
	doc/5.reference/textfile.txt \
	doc/5.reference/threshold~-help.pd \
	doc/5.reference/throw~-help.pd \
	doc/5.reference/timer-help.pd \
	doc/5.reference/toggle-help.pd \
	doc/5.reference/trigger-help.pd \
	doc/5.reference/unpack-help.pd \
	doc/5.reference/until-help.pd \
	doc/5.reference/value-help.pd \
	doc/5.reference/vcf~-help.pd \
	doc/5.reference/vdial-help.pd \
	doc/5.reference/vd~-help.pd \
	doc/5.reference/vline~-help.pd \
	doc/5.reference/vslider-help.pd \
	doc/5.reference/vu-help.pd \
	doc/5.reference/wrap~-help.pd \
	doc/5.reference/writesf~-help.pd \
	doc/5.reference/x_all_guis.pd \
	doc/6.externs/0.README.txt \
	doc/6.externs/dspobj~.c \
	doc/6.externs/makefile \
	doc/6.externs/obj1.c \
	doc/6.externs/obj2.c \
	doc/6.externs/obj3.c \
	doc/6.externs/obj4.c \
	doc/6.externs/obj5.c \
	doc/6.externs/test-dspobj~.pd \
	doc/6.externs/test-obj1.pd \
	doc/6.externs/test-obj2.pd \
	doc/6.externs/test-obj3.pd \
	doc/6.externs/test-obj4.pd \
	doc/6.externs/test-obj5.pd \
	doc/7.stuff/soundfile-tools/1.ring-mod.pd \
	doc/7.stuff/soundfile-tools/2.bandpass.pd \
	doc/7.stuff/soundfile-tools/3.phase.vocoder.pd \
	doc/7.stuff/soundfile-tools/4.looper.pd \
	doc/7.stuff/soundfile-tools/5.reverb.pd \
	doc/7.stuff/soundfile-tools/6.vocoder.pd \
	doc/7.stuff/soundfile-tools/README.txt \
	doc/7.stuff/synth/1.poly.synth.pd \
	doc/7.stuff/synth/gadsr.pd \
	doc/7.stuff/synth/numset.pd \
	doc/7.stuff/synth/preset.pd \
	doc/7.stuff/synth/preset1.txt \
	doc/7.stuff/synth/preset2.txt \
	doc/7.stuff/synth/preset3.txt \
	doc/7.stuff/synth/preset4.txt \
	doc/7.stuff/synth/README.txt \
	doc/7.stuff/synth/synthvoice.pd \
	doc/7.stuff/synth/test-gadsr.pd \
	doc/7.stuff/tools/latency.pd \
	doc/7.stuff/tools/load-meter.pd \
	doc/7.stuff/tools/testtone.pd \
	doc/7.stuff/tools/testtone16.pd \
	doc/sound/bell.aiff \
	doc/sound/voice.wav \
	doc/sound/voice2.wav

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
pd.pc: $(top_builddir)/config.status $(srcdir)/pd.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt
install-nobase_dist_libpdDATA: $(nobase_dist_libpd_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nobase_dist_libpd_DATA)'; test -n "$(libpddir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libpddir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libpddir)" || exit 1; \
	fi; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo " $(MKDIR_P) '$(DESTDIR)$(libpddir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(libpddir)/$$dir"; }; \
	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libpddir)/$$dir'"; \
	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libpddir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_dist_libpdDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_dist_libpd_DATA)'; test -n "$(libpddir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	dir='$(DESTDIR)$(libpddir)'; $(am__uninstall_files_from_dir)
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod u+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@test -n '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: trying to run $@ with an empty' \
	       '$$(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	$(am__cd) '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libpddir)" "$(DESTDIR)$(pkgconfigdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-data-local install-nobase_dist_libpdDATA \
	install-pkgconfigDATA

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-nobase_dist_libpdDATA uninstall-pkgconfigDATA

.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
	ctags-recursive install install-am install-strip \
	tags-recursive

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am am--refresh check check-am clean clean-generic \
	clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
	dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
	dist-zip distcheck distclean distclean-generic \
	distclean-libtool distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am \
	install-data-local install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-nobase_dist_libpdDATA \
	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am uninstall-nobase_dist_libpdDATA \
	uninstall-pkgconfigDATA


# Symlinks don't work on Windows/MinGW but they do on Cygwin.
bin:
	$(LN_S) src bin

locales:
	make -C po all

install-data-local:
	$(INSTALL) -d $(DESTDIR)$(libpddir)/startup
	$(INSTALL) -d $(DESTDIR)$(libpddir)/startup/disabled

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
